/**
 * Copyright (c) 2016, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 * <p/>
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 * <p/>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p/>
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.synapse.aspects.flow.statistics.util;

import org.apache.synapse.aspects.flow.statistics.collectors.RuntimeStatisticCollector;
import org.apache.synapse.commons.jmx.MBeanRegistrar;

public class MediationFlowController implements MediationFlowControllerMXBean {
    public MediationFlowController() {
        MBeanRegistrar.getInstance().registerMBean(this, "Mediation Flow Statistic Controller", "MediationFlowStatisticController");
    }

    @Override
    public boolean setCollectingAllStatistics(boolean state) {
        RuntimeStatisticCollector.setCollectingAllStatistics(state);
        return true;
    }
}
